import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/observable/of';
import { BaseServiceConfig } from './../../base-service.config';
import { Employee } from './../model/employee';
export declare class EmployeeService {
    private http;
    url: string;
    employees: Employee[];
    constructor(config: BaseServiceConfig, http: HttpClient);
    getEmployees(storeEmployees?: boolean): Observable<Employee[]>;
    getEmployee(sAMAccountName: string): Observable<Employee>;
}
