import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/observable/of';
import { BaseServiceConfig } from './../../base-service.config';
import { SharePointList } from './../model/sharepoint-list';
import { SharePointEmployeePicture } from './../../sharepoint/model/sharepoint-employee-picture';
export declare class SharePointService {
    private http;
    url: string;
    people: any[];
    photos: SharePointEmployeePicture[];
    constructor(config: BaseServiceConfig, http: HttpClient);
    getListItems(list: SharePointList): Observable<any[]>;
    getListItemsSimple(list: string, view: string, site?: string, limit?: string): Observable<any[]>;
    getPeople(storePeople?: boolean): Observable<any[]>;
    getPhotos(storePhotos?: boolean): Observable<SharePointEmployeePicture[]>;
}
